> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ultravox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Telephony Credentials

> Allows adding or updating telephony provider credentials to an account

<Warning>
  <b>DEPRECATED</b>

  <br />

  Prefer the provider-scoped endpoints instead: [Twilio](/api-reference/telephony/twilio-post), [Telnyx](/api-reference/telephony/telnyx-post), [Plivo](/api-reference/telephony/plivo-post)
</Warning>


## OpenAPI

````yaml patch /api/accounts/me/telephony_config
openapi: 3.0.3
info:
  title: Ultravox
  version: 0.1.0
  description: API for the Ultravox service.
servers:
  - url: https://api.ultravox.ai
security: []
paths:
  /api/accounts/me/telephony_config:
    patch:
      tags:
        - accounts
      description: >-
        DEPRECATED. Prefer the provider-specific endpoints, e.g.
        /api/telephony_configs/twilio.
      operationId: accounts_me_telephony_config_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAccountTelephonyConfig'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountTelephonyConfig'
          description: ''
      deprecated: true
      security:
        - apiKeyAuth: []
components:
  schemas:
    PatchedAccountTelephonyConfig:
      type: object
      properties:
        twilio:
          allOf:
            - $ref: '#/components/schemas/TwilioConfig'
          nullable: true
          description: Your Twilio configuration. See https://console.twilio.com/
        telnyx:
          allOf:
            - $ref: '#/components/schemas/TelnyxConfig'
          nullable: true
          description: Your Telnyx configuration. See https://portal.telnyx.com/
        plivo:
          allOf:
            - $ref: '#/components/schemas/PlivoConfig'
          nullable: true
          description: Your Plivo configuration. See https://console.plivo.com/dashboard/
    AccountTelephonyConfig:
      type: object
      properties:
        twilio:
          allOf:
            - $ref: '#/components/schemas/TwilioConfig'
          nullable: true
          description: Your Twilio configuration. See https://console.twilio.com/
        telnyx:
          allOf:
            - $ref: '#/components/schemas/TelnyxConfig'
          nullable: true
          description: Your Telnyx configuration. See https://portal.telnyx.com/
        plivo:
          allOf:
            - $ref: '#/components/schemas/PlivoConfig'
          nullable: true
          description: Your Plivo configuration. See https://console.plivo.com/dashboard/
    TwilioConfig:
      type: object
      properties:
        callCreationAllowedAgentIds:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            List of agents for whom calls may be directly created by this
            telephony provider to facilitate incoming calls. May not be set if
            callCreationAllowAllAgents is true.
          maxItems: 100
        callCreationAllowAllAgents:
          type: boolean
          default: false
          description: >-
            If true, calls may be directly created by this telephony provider
            for all agents. If false, only agents listed in
            callCreationAllowedAgentIds are allowed.
        requestContextMapping:
          type: object
          additionalProperties:
            type: string
          description: >-
            Maps (dot separated) request fields to (dot separated) context
            fields for incoming call creation.
        accountSid:
          type: string
          description: Your Twilio Account SID.
        authToken:
          type: string
          writeOnly: true
          description: Your Twilio Auth Token.
        authTokenPrefix:
          allOf:
            - $ref: '#/components/schemas/KeyPrefix'
          readOnly: true
          description: The prefix of your Twilio Auth Token.
      required:
        - accountSid
        - authToken
        - authTokenPrefix
    TelnyxConfig:
      type: object
      properties:
        callCreationAllowedAgentIds:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            List of agents for whom calls may be directly created by this
            telephony provider to facilitate incoming calls. May not be set if
            callCreationAllowAllAgents is true.
          maxItems: 100
        callCreationAllowAllAgents:
          type: boolean
          default: false
          description: >-
            If true, calls may be directly created by this telephony provider
            for all agents. If false, only agents listed in
            callCreationAllowedAgentIds are allowed.
        requestContextMapping:
          type: object
          additionalProperties:
            type: string
          description: >-
            Maps (dot separated) request fields to (dot separated) context
            fields for incoming call creation.
        accountSid:
          type: string
          description: >-
            Your Telnyx Account SID. See
            https://portal.telnyx.com/#/account/general
        apiKey:
          type: string
          writeOnly: true
          description: Your Telnyx API Key. See https://portal.telnyx.com/#/api-keys
        apiKeyPrefix:
          allOf:
            - $ref: '#/components/schemas/KeyPrefix'
          readOnly: true
          description: The prefix of your Telnyx API Key.
        publicKey:
          type: string
          writeOnly: true
          description: >-
            Your Telnyx Public Key. See
            https://portal.telnyx.com/#/api-keys/public-key
        publicKeyPrefix:
          allOf:
            - $ref: '#/components/schemas/KeyPrefix'
          readOnly: true
          description: The prefix of your Telnyx Public Key.
        applicationSid:
          type: string
          description: >-
            Your Telnyx Application SID. This must be configured with an
            Outbound Voice Profile that allows calls to your destination. See
            https://portal.telnyx.com/#/call-control/texml
          maxLength: 40
      required:
        - accountSid
        - apiKey
        - apiKeyPrefix
        - applicationSid
        - publicKey
        - publicKeyPrefix
    PlivoConfig:
      type: object
      properties:
        callCreationAllowedAgentIds:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            List of agents for whom calls may be directly created by this
            telephony provider to facilitate incoming calls. May not be set if
            callCreationAllowAllAgents is true.
          maxItems: 100
        callCreationAllowAllAgents:
          type: boolean
          default: false
          description: >-
            If true, calls may be directly created by this telephony provider
            for all agents. If false, only agents listed in
            callCreationAllowedAgentIds are allowed.
        requestContextMapping:
          type: object
          additionalProperties:
            type: string
          description: >-
            Maps (dot separated) request fields to (dot separated) context
            fields for incoming call creation.
        authId:
          type: string
          description: Your Plivo Auth ID.
        authToken:
          type: string
          writeOnly: true
          description: Your Plivo Auth Token.
        authTokenPrefix:
          allOf:
            - $ref: '#/components/schemas/KeyPrefix'
          readOnly: true
          description: The prefix of your Plivo Auth Token.
      required:
        - authId
        - authToken
        - authTokenPrefix
    KeyPrefix:
      type: object
      properties:
        prefix:
          type: string
          description: The prefix of the API key.
      required:
        - prefix
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key

````